package com.gic.udesk.service.impl;

import com.gic.udesk.dao.mapper.TabUdeskMessageMapper;
import com.gic.udesk.entity.TabUdeskMessage;
import com.gic.udesk.service.UdeskMessageService;
import com.gic.udesk.utils.UdeskConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
/**
 * udesk消息
 * @ClassName: UdeskMessageServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 10:30 AM 
 */
@Service("udeskMessageService")
public class UdeskMessageServiceImpl implements UdeskMessageService{
    @Autowired
    private TabUdeskMessageMapper tabUdeskMessageMapper;

    @Override
    public int save(TabUdeskMessage record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setDeleteFlag(UdeskConstant.NORMAL_STATUS);
        tabUdeskMessageMapper.insertSelective(record);
        return record.getId();
    }

    @Override
    public int update(TabUdeskMessage record) {
        record.setUpdateTime(new Date());
        return tabUdeskMessageMapper.updateByPrimaryKeySelective(record);
    }
}
