package com.gic.udesk.service.impl;

import com.gic.udesk.dao.mapper.TabUdeskTapdRelMapper;
import com.gic.udesk.entity.TabUdeskTapdRel;
import com.gic.udesk.service.UdeskTapdRelService;
import com.gic.udesk.utils.UdeskConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * udesk和tapd关联字典
 * @ClassName: UdeskTapdRelServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 10:35 AM 
 */
@Service("udeskTapdRelService")
public class UdeskTapdRelServiceImpl implements UdeskTapdRelService{
    @Autowired
    private TabUdeskTapdRelMapper tabUdeskTapdRelMapper;

    @Override
    public List<TabUdeskTapdRel> list(TabUdeskTapdRel record) {
        return tabUdeskTapdRelMapper.list(record);
    }

    @Override
    public int save(TabUdeskTapdRel record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setDeleteFlag(UdeskConstant.NORMAL_STATUS);
        return tabUdeskTapdRelMapper.insertSelective(record);
    }

    @Override
    public int deleteByWorkspaceId(int relType, String workspaceId) {
        return tabUdeskTapdRelMapper.deleteByWorkspaceId(relType, workspaceId);
    }
}
