package com.gic.udesk.utils.field;

/**
 * 发现版本字段字典数据
 * @ClassName: VersionReportEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/21 10:21 AM 
 */
public enum VersionReportEnum {
    /**
     * 4.0_测试_商品
     */
    TEST_GOODS_4("0", "4.0_测试_商品"),
    /**
     * 4.0_生产_商品
     */
    GOODS_4("1", "4.0_生产_商品"),
    /**
     * 0_生产_会员
     */
    MEMBER_4("2", "4.0_生产_会员"),
    /**
     * 0_测试_会员
     */
    TEST_MEMBER_3("3", "3.0_测试_会员"),
    /**
     * 0_生产_会员
     */
    MEMBER_3("4", "3.0_生产_会员"),
    /**
     * 0_测试_会员
     */
    TEST_MEMBER_4("5", "4.0_测试_会员"),
    /**
     * 0_测试_企业
     */
    TEST_ENTERPRISE_4("6", "4.0_测试_企业"),
    /**
     * 0_生产_企
     */
    ENTERPRISE_4("7", "4.0_生产_企"),
    /**
     * 0_测试_企业
     */
    TEST_ENTERPRISE_3("8", "3.0_测试_企业"),
    /**
     * 0_生产_企业
     */
    ENTERPRISE_3("9", "3.0_生产_企业");

    private String code;
    private String message;

    private VersionReportEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessage(String code) {
        for (VersionReportEnum versionReportEnum : values()) {
            if (versionReportEnum.getCode().equals(code)) {
                return versionReportEnum.getMessage();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
