package com.gic.udesk.service;

import com.gic.udesk.entity.TabUdeskTapdRel;

import java.util.List;
/**
 * udesk和tapd关联字典
 * @ClassName: UdeskTapdRelService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 10:17 AM 
 */
public interface UdeskTapdRelService {

    /**
     * 查询所有有效的数据
     * @Title: list 
     * @Description:
      * @author guojuxing  
     * @param record
     * @return  java.util.List<com.gic.udesk.entity.TabUdeskTapdRel> 
      */
    List<TabUdeskTapdRel> list(TabUdeskTapdRel record);

    /**
     * 保存
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  int 
      */
    int save(TabUdeskTapdRel record);

    /**
     * 删除
     * @Title: deleteByWorkspaceId 
     * @Description:
      * @author guojuxing
     * @param relType 关联类型
     * @param workspaceId  tapd项目id
     * @return  int 
      */
    int deleteByWorkspaceId(int relType, String workspaceId);
}
